@import (reference) '../../../less/platoreso.less';

.story.card {
  .previews {
    display: flex;
    flex-direction: row;
    align-items: center;
    .previewContainer {
      flex: 1 1 auto;
      width: 50%;
      .cardContainer {
        position: relative;
      }
      &:last-child {
        .cardContainer {
          box-shadow: rgba(0, 0, 0, 0.15) -1em 0 1em -1em;
        }
      }
    }
  }

  &.linked {
    .previewContainer {
      .cardContainer {
        &.destination {
          opacity: 0.75;
          margin-right: -50%;
        }
        &.source {
          margin-left: -50%;
        }
      }
    }
  }

  &.copied {
    .previewContainer {
      .cardContainer {
        &.original {
          opacity: 0.75;
          margin-right: -50%;
        }
        &.copy {
          margin-left: -50%;
        }
      }
    }
  }
}